#pragma once
#include "common.h"

class CCamera {
private:
	fk_Model		camera;

	fk_Model		moveModel;
	
	fk_Vector		nowPos;//݂̈ʒu
	fk_Vector		toPos;//ׂʒu
	
	fk_Vector		nowFocus;//݂̍W
	fk_Vector		toFocus;//ׂW
	
	int debugNum;	//_؂ւ

public:
	CCamera(fk_Vector pos);
	~CCamera(void);

	void entryScene(fk_Scene *argScene);
	void removeScene(fk_Scene *argScene);

	fk_Model * getCameraModelAddress();	//Jf̃AhX擾
	fk_Model getCameraModel();			//J̃f擾
	fk_Vector getCameraVec();			//J̌擾

	fk_Vector getCameraPos();			//J̈ʒu擾

	void	moveCameraPos(fk_Vector playerPos, fk_Vector playerVec, fk_Vector enemyPos);	//J̈ړivC[̔wƂ
	void	moveCameraFocus(fk_Vector enemyPos);	//J̏œ_ړiX

	void	initCamera(fk_Vector pos);	//J̏ݒ̏

	void debugChangeMode();	//_؂ւfobOp

	void debug();
		
};