#pragma once

class CDraw	//`NX
{
private:
	fkut_SpriteModel titleImage;//^CgC[W
	fkut_SpriteModel gamestart;	//Q[Jn̕
	fkut_SpriteModel quit;		//Q[I̕
	fkut_SpriteModel cursol;	//J[\

	fkut_SpriteModel timeNumber[10][6];	//^C\p
	fkut_SpriteModel coron[2];		//^C\phbg

	fkut_SpriteModel p_scoreNumber[10][8];	//vC[̃XRA\p
	fkut_SpriteModel e_scoreNumber[10][8];	//G̃XRA\p

	fkut_SpriteModel p_icon_bg;	//vC[̃ACRwi
	fkut_SpriteModel e_icon_bg;	//G̃ACRwi

	fkut_SpriteModel nageru_icon;	//iQ̊ACR
	fkut_SpriteModel rockking_icon;	//bNLO̊ACR

	fkut_SpriteModel p_gray_flame;	//ACRƃo[uĂt[
	fkut_SpriteModel e_gray_flame;	//ACRƃo[uĂt[

	fkut_SpriteModel p_life;		//vC[̃Cto[
	fkut_SpriteModel p_life_flame;	//vC[̃Cto[t[
	fkut_SpriteModel e_life;		//G̃Cto[
	fkut_SpriteModel e_life_flame;	//G̃Cto[t[

	fkut_SpriteModel p_stockGauge;			//vC[̃XgbNQ[W
	fkut_SpriteModel p_stockGauge_flame;	//vC[̃XgbNQ[Wt[
	fkut_SpriteModel e_stockGauge;			//G̃XgbNQ[W
	fkut_SpriteModel e_stockGauge_flame;	//G̃XgbNQ[Wt[

	fkut_SpriteModel p_animaGauge;			//vC[̃Aj}Q[W
	fkut_SpriteModel p_animaGauge_flame;	//vC[̃Aj}Q[Wt[
	fkut_SpriteModel e_animaGauge;			//G̃Aj}Q[W
	fkut_SpriteModel e_animaGauge_flame;	//G̃Aj}Q[Wt[

	fkut_SpriteModel comboNumber[10][2];	//R{\p
	fkut_SpriteModel combo;			//R{̎

	fkut_SpriteModel gameover;		//|[Y̎

	fkut_SpriteModel stageclear;		//Q[NA̎
	fkut_SpriteModel cleartime;		//NA^C̎

	fkut_SpriteModel pause;		//|[Y̎

	fkut_SpriteModel bg_black;		//̃x^hwi

	fkut_SpriteModel help_act;		//{ANṼL[wvACR
	fkut_SpriteModel help_anima;	//Aj}ANṼL[wvACR

	bool isDrawHelp;	//wv\邩ǂ

	int minute;	//^C\̕

	double prevPHP,nowPHP;	//vC[̕\ĂHPQ[WʂƎۂHP
	double prevEHP,nowEHP;	//G̕\ĂHPQ[WʂƎۂHP

	bool prevCombo;	//R{JnĂ邩ǂ
	int  moveCombo;	//R{̎ړp̃JEg
	double posXCombo;	//R{̎XW␳


public:
	CDraw();
	~CDraw();

	void entryScene(fk_Scene *argScene, fk_Window *window);
	void removeScene(fk_Scene *argScene);

	void drawTitle(int num, fk_Scene *argScene);	//^Cg`

	void drawTime(int num, fk_Scene *argScene);		//o߃^C`
	
	void drawCharacterIcon(fk_Scene *argScene);	//ACR\ADFt[`

	void drawLife(double p_hp, double e_hp, fk_Scene *argScene);	//Cto[`

	void drawStockGauge(int p_stockNum, int e_stockNum, fk_Scene *argScene);	//XgbNQ[W`

	void drawAnimaGauge(double p_animaNum, double e_animaNum, fk_Scene *argScene);	//Aj}Q[W`

	void drawScore(int p_scoreNum, int e_scoreNum, fk_Scene *argScene);	//XRA`

	void drawCombo(int num, fk_Scene *argScene);	//R{`

	void drawGameOver(fk_Scene *argScene);	//Q[I[o[ʕ`
	void drawGameClear(int num, fk_Scene *argScene);	//Q[NAʕ`

	void drawPause(fk_Scene *argScene);	//|[Yʕ`

	void switchHelp();	//wv̕\̃IIt؂ւ
	void drawHelp(fk_Scene *argScene);	//wv̕\

	void initDraw();	//`̏ݒ̏

	void debug();
};