#pragma once
#include "common.h"

class CInput {
private:
	bool isGamePad;

	bool prevDOWN;
	bool prevLEFT;
	bool prevRIGHT;
	bool prevUP;
	bool prevJump;
	bool prevLift;
	bool prevThrow;
	bool prevAnima;
	bool prevAttack;
	bool prevMusic;
	bool prevPause;
	bool prevHelp;

	bool prevDebug;
	bool prevQuarter;

public:
	CInput();
	~CInput(void);

	bool getDOWNKeyStatus(fk_Window *window);
	bool getLEFTKeyStatus(fk_Window *window);
	bool getRIGHTKeyStatus(fk_Window *window);
	bool getUPKeyStatus(fk_Window *window);

	bool getJumpKeyStatus(fk_Window *window);
	bool getAttackKeyStatus(fk_Window *window);
	bool getLiftKeyStatus(fk_Window *window);	// (L[ɗƂɔƂ
	bool getThrowKeyStatus(fk_Window *window);
	bool getAnimaKeyStatus(fk_Window *window);

	bool getMusicKeyStatus(fk_Window *window);
	bool getPauseKeyStatus(fk_Window *window);
	bool getHelpKeyStatus(fk_Window *window);

	bool getDebugKeyStatus(fk_Window *window);
	bool getQuarterViewKeyStatus(fk_Window *window);

	void debug();
};