#pragma once
#include "common.h"

class CAnima{
private:
	fk_Block		anima;
	fk_Model		animaModel;
	fkut_OBB		animaOBB;

	fk_Block		throwBlock;
	fk_Model		throwBlockModel;
	fkut_OBB		throwBlockOBB;
	

	bool liveFlag; //Aj}݂Ă邩ǂ
	
	int throwLV;	//Aj}X[̃x
	int	countToThrow; //Aj}X[܂ł̎
	int nowCount;	//Aj}X[ɏ݂̎

	int throwBlockDistance;	//Aj}X[̃ubN̈ړ

	bool blockFlag;	//Aj}X[ubN݂Ă邩ǂ
	bool throwFlag;	//Aj}X[ubNX[Ă邩ǂ

	int attackDamage;	//Aj}X[̃_[Wl

	fk_Vector animaSpd;
	fk_Vector animaThrowBlockSpd;

public:
	CAnima(void);
	~CAnima(void);

	void entryAnima(fk_Scene *argScene); //Aj}̃Gg[ƃ[u
	void entryAnimaThrowBlock(fk_Scene *argScene); //Aj}X[ubÑGg[ƃ[u

	fkut_OBB	getOBB();	//OBB擾

	void summonAnima(fk_Vector pos, int blockCount);	//Aj}̏
	void decCountToThrow(); //Aj}݂ꍇAAj}X[܂ł̎Ԃ̏
	void setAnimaThrow(fk_Vector pos);	//Aj}X[̔
	void procAnimaThrow();	//Aj}X[̌o߁iubN̈ړj
	void setAnimaThrowBlock(bool isHit);	//Aj}X[ubN̍Ĕzu

	bool getLiveFlag();	//Aj}̑݃tO擾

	fk_Vector * getPSpd();	//ubN̉x̃AhX擾
	fk_Vector * getAnimaThrowBlockSpdAddress();	//ubN̉x̃AhX擾
	double getAttackDamage(double comboBonus);	//_[Wl̏

	bool checkCollision(fkut_OBB &hitOBB, fk_Vector *spd);
};