#include "common.h"

#include "input.h"

CInput::CInput()
{
	isGamePad = false;

	prevDOWN = false;
	prevLEFT = false;
	prevRIGHT = false;
	prevUP = false;
	prevJump = false;
	prevLift = false;
	prevThrow = false;
	prevAnima = false;
	prevAttack = false;
	prevMusic = false;
	prevPause = false;

	prevDebug = false;
	prevQuarter = false;

	return;
}

CInput::~CInput()
{
	return;
}

//擾
bool CInput::getDOWNKeyStatus(fk_Window *window)
{
	if(prevDOWN == false)
	{
		if(window->getSpecialKeyStatus(FK_DOWN, false)) 
		{
			prevDOWN = true;
			return true;
		}
	}
	if(window->getSpecialKeyStatus(FK_DOWN, false) == false) 
	{
		prevDOWN = false;
	}
	return false;
}

//擾
bool CInput::getLEFTKeyStatus(fk_Window *window)
{
	if(prevLEFT == false)
	{
		if(window->getSpecialKeyStatus(FK_LEFT, false)) 
		{
			prevLEFT = true;
			return true;
		}
	}
	if(window->getSpecialKeyStatus(FK_LEFT, false) == false) 
	{
		prevLEFT = false;
	}
	return false;
}

//E擾
bool CInput::getRIGHTKeyStatus(fk_Window *window)
{
	if(prevRIGHT == false)
	{
		if(window->getSpecialKeyStatus(FK_RIGHT, false)) 
		{
			prevRIGHT = true;
			return true;
		}
	}
	if(window->getSpecialKeyStatus(FK_RIGHT, false) == false) 
	{
		prevRIGHT = false;
	}
	return false;
}

//㑀擾
bool CInput::getUPKeyStatus(fk_Window *window)
{
	if(prevUP == false)
	{
		if(window->getSpecialKeyStatus(FK_UP, false)) 
		{
			prevUP = true;
			return true;
		}
	}
	if(window->getSpecialKeyStatus(FK_UP, false) == false) 
	{
		prevUP = false;
	}
	return false;
}

//Wv擾
bool CInput::getJumpKeyStatus(fk_Window *window)
{
	if(prevJump == false)
	{
		if(window->getKeyStatus('C', false)) 
		{
			prevJump = true;
			return true;
		}
	}
	if(window->getKeyStatus('C', false) == false) 
	{
		prevJump = false;
	}
	return false;
}

//ߐڍU擾
bool CInput::getAttackKeyStatus(fk_Window *window)
{
	if(prevAttack == false)
	{
		if(window->getKeyStatus('Z', false)) 
		{
			prevAttack = true;
			return true;
		}
	}
	if(window->getKeyStatus('Z', false) == false) 
	{
		prevAttack = false;
	}
	return false;
}

//tg擾
bool CInput::getLiftKeyStatus(fk_Window *window)
{
	if(prevLift == false)
	{
		if(window->getKeyStatus('V', false)) 
		{
			prevLift = true;
			return true;
		}
	}
	if(window->getKeyStatus('V', false) == false) 
	{
		prevLift = false;
	}
	return false;
}

//X[擾 (L[ɗƂɔƂ
bool CInput::getThrowKeyStatus(fk_Window *window)
{
	if(prevThrow == false)
	{
		if(window->getKeyStatus('X', false)) 
		{
			prevThrow = true;
			return true;
		}
	}
	if(window->getKeyStatus('X', false) == false) 
	{
		prevThrow = false;
	}
	return false;
}

//Aj}L[
bool CInput::getAnimaKeyStatus(fk_Window *window)
{
	//if(prevAnima == false)
	//{
		if(window->getKeyStatus(' ', false)) 
		{
			prevAnima = true;
			return true;
		}
	//}
	if(window->getKeyStatus(' ', false) == false) 
	{
		prevAnima = false;
	}
	return false;
}

//yĐA~L[
bool CInput::getMusicKeyStatus(fk_Window *window)
{
	if(prevMusic == false)
	{
		if(window->getKeyStatus('M', false)) 
		{
			prevMusic = true;
			return true;
		}
	}
	if(window->getKeyStatus('M', false) == false) 
	{
		prevMusic = false;
	}
	return false;
}

//|[YL[
bool CInput::getPauseKeyStatus(fk_Window *window)
{
	if(prevPause == false)
	{
		if(window->getKeyStatus('P', false)) 
		{
			prevPause = true;
			return true;
		}
	}
	if(window->getKeyStatus('P', false) == false) 
	{
		prevPause = false;
	}
	return false;
}

//wvL[
bool CInput::getHelpKeyStatus(fk_Window *window)
{
	if(prevHelp == false)
	{
		if(window->getKeyStatus('H', false)) 
		{
			prevHelp = true;
			return true;
		}
	}
	if(window->getKeyStatus('H', false) == false) 
	{
		prevHelp = false;
	}
	return false;
}

//fobOL[
bool CInput::getDebugKeyStatus(fk_Window *window)
{
	if(prevDebug == false)
	{
		if(window->getKeyStatus('D', false)) 
		{
			prevDebug = true;
			return true;
		}
	}
	if(window->getKeyStatus('D', false) == false) 
	{
		prevDebug = false;
	}
	return false;
}

//NI[^[r[fobOL[
bool CInput::getQuarterViewKeyStatus(fk_Window *window)
{
	if(prevDebug == false)
	{
		if(window->getKeyStatus('Q', false)) 
		{
			prevQuarter = true;
			return true;
		}
	}
	if(window->getKeyStatus('Q', false) == false) 
	{
		prevQuarter = false;
	}
	return false;
}
